<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SleeveFactionTask](./bitburner.sleevefactiontask.md)

## SleeveFactionTask interface


**Signature:**

```typescript
interface SleeveFactionTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[factionName](./bitburner.sleevefactiontask.factionname.md)


</td><td>


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>


</td></tr>
<tr><td>

[factionWorkType](./bitburner.sleevefactiontask.factionworktype.md)


</td><td>


</td><td>

[FactionWorkType](./bitburner.factionworktype.md)


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.sleevefactiontask.type.md)


</td><td>


</td><td>

"FACTION"


</td><td>


</td></tr>
</tbody></table>

